User NFTs

The Asset Manager API provides functionalities for managing asset managers in a blockchain-based ecosystem. Asset managers are entities responsible for managing various assets, such as digital tokens, NFTs (Non-Fungible Tokens), and other digital assets, on a blockchain network. These APIs allows users to retrieve information about asset managers based on their chain ID and contract address.

Endpoint:

1. Use StreamNFT Indexer (1 API Call to get all User NFTs)

Retrieve user's NFTs

get
/getNFTs/{chainId}/{wallet}

This API endpoint retrieves all NFTs associated with a specific wallet address on a given blockchain network. It provides an option to include rented NFTs in the response based on a query parameter.

Path parameters
chainIdstringRequired

The chain ID to retrieve NFTs from

walletstringRequired

The wallet address to retrieve NFTs for

Query parameters
rentbooleanOptional

Filter to include rented NFTs (true or false)

Responses
chevron-right
200

A list of NFTs

application/json
get
/getNFTs/{chainId}/{wallet}

2. Use External Indexer (2 API Call to get all User NFTs)

Query Parameters specific for rentals:

  • collection: Filter for token address of the NFT collection

  • rentee: Filter for assets rented by a wallet

  • state: Filter for all assets on Marketplace (STALE) or rented out (RENT)

  • onlyRentData : Output only rental data (NFT rentee, NFT owner, rental expiry, state)

Get Asset Manager by Chain ID

get
/assetManager/{chainId}
Path parameters
chainIdstringRequired

The ID of the blockchain chain

Example: 296
Query parameters
userstringOptional

NFT owner

providerstringOptional

Loan provided by

collectionstringOptional

The token address of the collection

Default: 0x00000000000000000000000000000000003a05ad
renteestringOptional

The current rentee of the asset manager

statestring ยท enumOptional

The state of the asset manager (Valid values: LOAN | RENT | STALE | PRE_LOAN)

Possible values:
Responses
chevron-right
200

Successful response

application/json
idinteger ยท int64Optional
initializerstringOptional
loan_pool_indexinteger ยท int64Optional
loan_offer_indexinteger ยท int64Optional
statestringOptional

Specifies the state of the asset. Possible values include 'STALE', indicating that the asset is on the marketplace listed by a user, and 'RENT', indicating that the asset is currently rented out.

loan_expiryinteger ยท int64Optional
providerstringOptional
rateinteger ยท int64Optional
validity_expiryinteger ยท int64Optional
is_fixedbooleanOptional
fixed_minutesinteger ยท int64Optional
rent_expiryinteger ยท int64Optional
renteestringOptional

Specifies the current rentee of the asset. If the asset is not currently rented out, this field may be null.

private_rentalbooleanOptional
owner_shareinteger ยท int64Optional
whiteliststring[]Optional
metadata_uristringOptional
metadata_linkstringOptional
namestringOptional
imagestringOptional
chain_idstringOptional
contract_addressstringOptional
token_addressstringOptional
token_idstringOptional
rental_typestringOptional
profitinteger ยท int64Optional
domintbooleanOptional
loan_amountinteger ยท int64Optional
indexinteger ยท int64Optional
tx_hashstringOptional
master_indexinteger ยท int64Optional
get
/assetManager/{chainId}

Response:

  • Successful responses return an array of asset managers for provided token address with detailed information, such as the current rentee and the state of each asset.

Example: How to Integrate External Indexer

  • Get all rented collection NFTs by user wallet

  • Get all rented NFTs by user wallet

Last updated